#
# spec file for package asciidoc (Version 8.2.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           asciidoc
License:        GPL v2 or later
Group:          Development/Tools/Doc Generators
Requires:       python >= 2.3
AutoReqProv:    on
Summary:        Text-Based Document Generation
Version:        8.2.1
Release:        26.1
Url:            http://www.methods.co.nz/asciidoc/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
AsciiDoc is a text document format for writing short documents,
articles, books, and UNIX man pages. AsciiDoc files can be translated
to HTML and DocBook markups using the asciidoc command.



Authors:
--------
    Stuart Rackham <srackham@methods.co.nz>

%debug_package
%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/asciidoc/filters
mkdir -p $RPM_BUILD_ROOT%{_datadir}/asciidoc
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 *.conf $RPM_BUILD_ROOT/etc/asciidoc
install -m 0644 filters/{code-filter.conf,code-filter.py} $RPM_BUILD_ROOT/etc/asciidoc/filters/
install -m 0755 -D asciidoc.py $RPM_BUILD_ROOT%{_bindir}/asciidoc
install -m 0755 -D a2x $RPM_BUILD_ROOT%{_bindir}/a2x
install -m 0644 doc/*.1  $RPM_BUILD_ROOT%{_mandir}/man1/
for i in images stylesheets javascripts docbook-xsl; do
  cp -av $i $RPM_BUILD_ROOT%{_datadir}/asciidoc/
  ln -s ../../%{_datadir}/asciidoc/$i $RPM_BUILD_ROOT/etc/asciidoc
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/asciidoc
%{_datadir}/asciidoc
%{_bindir}/*
%doc %{_mandir}/man1/*
%doc README BUGS CHANGELOG COPYRIGHT doc examples
%changelog
* Tue May 22 2007 - tiwai@suse.de
- updated to version 8.2.1:
  * VIM syntax highlighter
  * Labeled list definitions have been tightened
  * Added toclevel attribute (1..4)
  * Added a listindex attribute
  * The single line titles syntax now accepts trailing suffixes
  * An end of line backslash performs line continuation for
  horizontal labeled list items.
  * The Revision line now accommodates Subversion $Id markers
  * a2x(1) option —skip-asciidoc
  * Defaults to appropriate format if -format isn't given.
* Mon Apr 02 2007 - tiwai@suse.de
- updated to version 8.1.0:
  * AsciiDoc generated XHTML documents now display as table of
  contents if the toc attribute is defined.
  * A music filter is included.
  * Conditionally redefined subscript and superscripting so they
  use the old replacements mechanism when asciidoc7compatible
  is defined rather than the asciidoc 8 default unconstrained
  quoting.
  * Added {verbose} intrinsic attribute.
  * Added {outdir} intrinsic attribute.
  * Renamed {docdir} intrinsic attribute to unambiguous`{indir}
  * If asciidoc(1) outputs to stdout then instrinsic attribute
  {docname} is extracted from the input file name.
* Thu Nov 23 2006 - tiwai@suse.de
- Add missing a2x and other config files (#223299).
* Thu Oct 12 2006 - tiwai@suse.de
- updated to version 8.0.0:
  * An experimental LaTeX backend
  * Unconstrained quoting allows quoting to appear anywhere in inline text
  * a2x toolchain wrapper script can generate Open Document text files
  * More on CHANGELOG
* Mon May 15 2006 - tiwai@suse.de
- updated to version 7.1.2.
  * a2x toolchain wrapper
  * ASCIIMathML support
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - tiwai@suse.de
- updated to version 7.0.4.
* Fri Jul 01 2005 - tiwai@suse.de
- fixed norootforbuild.
* Fri Jun 24 2005 - tiwai@suse.de
- initial version: 7.0.1.
